delete from report_sql WHERE COMPUTER={?Computer};
-- str1  = ifra storitev
-- num1  = id_pogodbe
-- str2  = n_priveza
-- num2  = id_plovila
-- num3  = vrednost pogodbene storitve
-- str3  = tevilka fakture
-- num4  = znesek storitve na fakturi
-- str4  = tevilka profakture/ponudbe
-- num5  = suma delnih plail storitve
-- num6  = ostanek dolga
-- num7  = ostala plaila storitev z isto ifro (potencialna zapiranja)
-- str5  = zaetna rka priveza
--
insert into report_sql(computer,str1,num1,str2,num2,num3,str3,num4,str4,num5,num6,num7, str5)
select {?Computer}, sifsto, idpog, privez, plovilo, round(za_placilo,2) as znesek_pogodbe, faktura, nvl(znesek_fakture,0) as znesek_fakture, profaktura, 
       nvl(delna_placila,0) as delna_placila, 
       round((nvl(za_placilo,0) - nvl(znesek_fakture,0) - nvl(delna_placila,0)),2) as ostanek_dolga, 
       round(Case when ostala_placila_nr=0 then nvl(ostala_placila,0) else ostala_placila / ostala_placila_nr end,2) as ostala_placila,
       SUBSTR(privez, 1, INSTR(privez, '/') - 1) 
       --ostala_placila_nr, 
       from (
select m_storitve.id_storitve as st,
       m_vzorci_ps.storitev AS sifsto, m_pogodbe.id_pogodbe  AS idpog,
       m_pogodbe.n_priveza AS privez, m_pogodbe.id_plovila AS plovilo, 
       m_vzorci_ps.skupaj*(100 - m_vzorci_ps.popust)/100*(1 + m_vzorci_ps.davek/100) as za_placilo,
       m_storitve.n_racuna as faktura, 
       (select sum(znesek) from racun_data where m_storitve.id_storitve=racun_data.id_storitve) as znesek_fakture, 
       m_de_na.stevilka || ' ' || m_de_na.confirmed as profaktura, 
       (select sum(znesek) from racun_data where racun_data.id_storitve 
               in (select id_storitve from m_storitve a where a.id_storitve_gen=m_storitve.id_storitve)) as delna_placila,
       (select sum(znesek) from racun_data where racun_data.id_storitve 
               in (select b.id_storitve from m_storitve b 
                                     where b.id_storitve <> m_storitve.id_storitve and 
                                           b.id_storitve not in (select c.id_storitve from m_storitve c
                                                                 where c.id_storitve_gen=m_storitve.id_storitve) and
                                           b.storitev=m_storitve.storitev and
                                           b.id_plovila=m_storitve.id_plovila and
                                           b.id_vps is null)) as ostala_placila,
       ((select count(*) from racun_data where racun_data.znesek > 0 and racun_data.id_storitve 
               in (select b.id_storitve from m_storitve b 
                                     where b.id_storitve <> m_storitve.id_storitve and 
                                           b.id_storitve not in (select c.id_storitve from m_storitve c
                                                                 where c.id_storitve_gen=m_storitve.id_storitve) and
                                           b.storitev=m_storitve.storitev and
                                           b.id_plovila=m_storitve.id_plovila and
                                           b.id_vps is null)) -
       (select count(*) from racun_data where racun_data.znesek < 0 and racun_data.id_storitve 
               in (select b.id_storitve from m_storitve b 
                                     where b.id_storitve <> m_storitve.id_storitve and 
                                           b.id_storitve not in (select c.id_storitve from m_storitve c
                                                                 where c.id_storitve_gen=m_storitve.id_storitve) and
                                           b.storitev=m_storitve.storitev and
                                           b.id_plovila=m_storitve.id_plovila and
                                           b.id_vps is null))) as ostala_placila_nr
FROM m_pogodbe JOIN m_vzorci_ps ON (m_pogodbe.id_pogodbe=m_vzorci_ps.id_pogodbe and m_vzorci_ps.storno is null)
               JOIN plovila     ON (m_pogodbe.id_plovila=plovila.id)
    LEFT OUTER JOIN m_storitve  ON (m_vzorci_ps.id_vps=m_storitve.id_vps and nvl(m_storitve.n_racuna,' ') <> 'STORNO')
    LEFT OUTER JOIN m_de_na     ON (m_storitve.id_dn=m_de_na.id_dn)
WHERE m_pogodbe.status          IN ('O','A')
AND plovila.act = 'Y'
order by m_pogodbe.id_pogodbe
);