SELECT 
  max(PLOVILA.IME) as "Boat",
  max(PLOVILA.DOLZINA) as "Boat length",
  max(NNTIP.OPIS) as "Boat type",
  max(NNDRZAVE.OPIS) as "Flag",
  max(M_POGODBE.OBJEKT) as "Contract location",
  max(M_POGODBE.N_PRIVEZA) as "Contract berth",
  max(M_NNSTOMAR.OPIS) as "Service",
  max(M_NNKATEG.OPIS) as "Category",
  max(M_NNKATEG1.OPIS) as "Length category",
  max(M_POGODBE.DATUM_ZACETKA) as "Contract from",
  max(M_POGODBE.DATUM_KONCA) as "Contract to",
  max(KUPCI.PRIIMEK) as "Surname/Company",
  max(KUPCI.IME) as "Name",
  max(KUPCI.NASLOV) as "Address",
  max(KUPCI.POSTA) as "Postal nr.",
  max(KUPCI.MESTO) as "City",
  max(KUPCI.TELEFON_2) as "Phone 2",
  max(KUPCI.TELEFON_1) as "Phone",
  max(KUPCI.TELEX) as "GSM",
  max(KUPCI.EMAIL) as "Email",
  max(PLOVILA.TRENUTNA_N_PRIVEZA) as "Current berth",
  round(sum(M_VZORCI_PS.SKUPAJ*(1-M_VZORCI_PS.POPUST/100)),2) as "Contract value without Vat",
  round(sum(M_VZORCI_PS.SKUPAJ*(1-M_VZORCI_PS.POPUST/100)*(1+M_VZORCI_PS.DAVEK/100)),2) as "Contract value with vat"
FROM ((((((M_POGODBE M_POGODBE
LEFT OUTER JOIN M_VZORCI_PS M_VZORCI_PS ON M_POGODBE.ID_POGODBE=M_VZORCI_PS.ID_POGODBE and 
M_VZORCI_PS.STORITEV in ('ANCH', 'ANU', 'BAR', 'MON', 'POL', 'POLM', 'SWIN', 'TRA', 'WEEK','KBRO','KCAM','WEEK1') and M_VZORCI_PS.STORNO is null)
LEFT OUTER JOIN KUPCI KUPCI ON M_POGODBE.ID_LASTNIKA=KUPCI.ID)
LEFT OUTER JOIN PLOVILA PLOVILA ON M_POGODBE.ID_PLOVILA=PLOVILA.ID)
LEFT OUTER JOIN NNTIP NNTIP ON PLOVILA.NTIP=NNTIP.SIFRA)
LEFT OUTER JOIN NNDRZAVE NNDRZAVE ON PLOVILA.NZASTAVA=NNDRZAVE.SIFRA)
LEFT OUTER JOIN M_NNSTOMAR M_NNSTOMAR ON M_VZORCI_PS.STORITEV=M_NNSTOMAR.SIFRA)
LEFT OUTER JOIN M_NNKATEG M_NNKATEG ON (M_VZORCI_PS.TIMEKAT=M_NNKATEG.SIFRA AND M_NNSTOMAR.TIMEKAT=M_NNKATEG.SIFRA_SKLOPA)
LEFT OUTER JOIN M_NNKATEG M_NNKATEG1 ON (M_VZORCI_PS.KAT=M_NNKATEG1.SIFRA AND M_NNSTOMAR.KAT=M_NNKATEG1.SIFRA_SKLOPA)
WHERE (M_POGODBE.STATUS='A'OR M_POGODBE.STATUS='O')
GROUP BY M_POGODBE.ID_POGODBE
ORDER BY max(M_POGODBE.OBJEKT),max(M_POGODBE.N_PRIVEZA),max(PLOVILA.IME);