select lc as "Length category", serv as "Service", sfrom as "Service from", sto as "Service to", 
znes as "Service amount", dat_sald as "Invoice date"
from (
select 
kat.opis as lc, 
case when m_storitve.storitev = 'ANU' then timekat.opis
     else m_nnstomar.opis
end as serv,
m_storitve.datum_od as sfrom, 
m_storitve.datum_do as sto, 
case when m_storitve.n_racuna is null 
    then round((m_storitve.znesek - m_storitve.znesek*nvl(m_storitve.popust,0)/100)* (100+nvl(m_storitve.davek,0))/100,2)
     else racun_data.znesek
end as znes,
to_date({?Date from|DATE},'dd.mm.yyyy') as p1,
to_date({?Date to|DATE},'dd.mm.yyyy') as p2,
saldkont.datum as dat_sald
from m_storitve
left outer join racun_data on (m_storitve.id_storitve=racun_data.id_storitve and m_storitve.n_racuna=racun_data.n_racuna)
left outer join saldkont on (racun_data.id_saldkont=saldkont.id_saldkont)
left outer join m_nnstomar on (m_storitve.storitev=m_nnstomar.sifra)
left outer join m_nnkateg kat on (m_nnstomar.kat=kat.sifra_sklopa and m_storitve.kat=kat.sifra)
left outer join m_nnkateg timekat on (m_nnstomar.timekat=timekat.sifra_sklopa and m_storitve.timekat=timekat.sifra)
where 
m_storitve.storitev like {?Service|STRING}
and saldkont.datum >= {?Date from|DATE} and saldkont.datum <= {?Date to|DATE}
order by 2,kat.sort,3
);
