select lc as "Length category", serv as "Service", sfrom as "Service from", sto as "Service to", 
znes as "Service amount",
sd as  "Service duration", p1 as "Period from", p2 as "Period to", pd as "Period duration", sip as "Service duration in period", round((znes / sd) * sip,2) as "Service amount in period"
from (
select lc, serv, sfrom, sto, znes, p1, p2,
case when sto = sfrom then 1 else sto - sfrom end as sd, 
pd, 
case when sto = sfrom then 1
     when sfrom < to_date({?Date from|DATE},'dd.mm.yyyy') then 
          case when sto < to_date({?Date to|DATE},'dd.mm.yyyy') then sto - to_date({?Date from|DATE},'dd.mm.yyyy') else to_date({?Date to|DATE},'dd.mm.yyyy') - to_date({?Date from|DATE},'dd.mm.yyyy')  end
     when sfrom >= to_date({?Date from|DATE},'dd.mm.yyyy') then
          case when sto < to_date({?Date to|DATE},'dd.mm.yyyy') then sto - sfrom  else to_date({?Date to|DATE},'dd.mm.yyyy') - sfrom  end
end as sip,
sifsto,s_sto,ksort
from (
select * 
from (
select
kat.opis as lc,
case when m_storitve.storitev = 'ANU' then m_nnstomar.opis || ' ' || timekat.opis
     when m_storitve.storitev = 'ANCH' then m_nnstomar.opis || ' ' || timekat.opis
     else m_nnstomar.opis
end as serv,
m_storitve.datum_od as sfrom, 
CASE --WHEN m_storitve.datum_od=m_storitve.datum_do then m_storitve.datum_od  +1 
     WHEN (m_storitve.datum_do  IS NULL or m_storitve.datum_od=m_storitve.datum_do) THEN
          CASE WHEN m_storitve.storitev = 'ANU' THEN
               CASE WHEN m_storitve.timekat='1' THEN m_storitve.datum_od+365
                    ELSE m_storitve.datum_od+(30*m_storitve.kolicina)
               END
               WHEN m_storitve.storitev IN ('TRA','ELE','VO','UTIL1','UTIL2') THEN m_storitve.datum_od  +1
               WHEN m_storitve.storitev IN ('MON','ANCH','SWIN','POLM')
               THEN m_storitve.datum_od+(30*m_storitve.kolicina)
               when m_storitve.storitev in ('BAR','POL','KBRO','KCAM') then m_storitve.datum_od+365
               WHEN m_storitve.storitev = 'WEEK' THEN m_storitve.datum_od+(7*m_storitve.kolicina)
          ELSE m_storitve.datum_od
          END
     ELSE m_storitve.datum_do
END AS sto,
case when m_storitve.datum_do = m_storitve.datum_od then m_storitve.datum_od + 1
     when m_storitve.datum_do = null then m_storitve.datum_od + 1
     else m_storitve.datum_do
end as sto1, 
case when m_storitve.n_racuna is null 
    then round((m_storitve.znesek - m_storitve.znesek*nvl(m_storitve.popust,0)/100)* (100+nvl(m_storitve.davek,0))/100,2)
     else racun_data.znesek
end as znes, 
to_date({?Date from|DATE},'dd.mm.yyyy') as p1,
to_date({?Date to|DATE},'dd.mm.yyyy') as p2,
to_date({?Date to|DATE},'dd.mm.yyyy') - to_date({?Date from|DATE},'dd.mm.yyyy')  as pd,
case when (m_storitve.storitev = 'ANU' or m_storitve.storitev = 'ANCH') then m_storitve.storitev||timekat.opis
     else m_storitve.storitev
end as sifsto,
m_storitve.storitev as s_sto,
kat.sort as ksort
from m_storitve
left outer join racun_data on (m_storitve.id_storitve=racun_data.id_storitve and m_storitve.n_racuna=racun_data.n_racuna)
left outer join m_nnstomar on (m_storitve.storitev=m_nnstomar.sifra)
left outer join m_nnkateg kat on (m_nnstomar.kat=kat.sifra_sklopa and m_storitve.kat=kat.sifra)
left outer join m_nnkateg timekat on (m_nnstomar.timekat=timekat.sifra_sklopa and m_storitve.timekat=timekat.sifra)
where (m_storitve.n_racuna <> 'STORNO' or m_storitve.n_racuna is null)
and m_storitve.vrsta in ('PO','ST')
and m_storitve.storitev like {?Service|STRING}
)
)
where sfrom  < to_date({?Date to|DATE},'dd.mm.yyyy') and sto > to_date({?Date from|DATE},'dd.mm.yyyy')
)
where sd >= {?Duration from|NUMBER} and sd <= {?Duration to|NUMBER}
order by 2,ksort,3
;
