delete from report_sql WHERE COMPUTER={?Computer};

-- str1  = dolinska kategorija
-- str2  = opis storitve
-- date1 = storitev od
-- date2 = storitev do
-- num1  = znesek storitve
-- num2  = trajanje storitve
-- num3  = trajanje izbranega obdobja (stolpci)
-- num4  = trajanje storitve v obdobju
-- num5  = dele storitve v obdobju
-- str3  = sifra storitve + opis (pri paketih)
-- str4  = sifra storitve

insert into report_sql(computer, num10, str1,str2,date1,date2,num1,num2,num3,num4,num5,str3,str4, num6,str5,num7)
select {?Computer},id_storitve, lc, serv, sfrom, sto, znes, sd, pd, sip, round((znes / sd) * sip,2),sifsto,s_sto, id_plovila, ime_plovila, dolzina from (
select id_storitve, lc, serv, sfrom, sto, znes, 
case when sto = sfrom then 1 else sto - sfrom end as sd, 
pd, 
case when sto = sfrom then 1
     when sfrom < {?DateFrom} then 
          case when sto < {?DateTo} then sto - {?DateFrom}  else {?DateTo} - {?DateFrom}  end
     when sfrom >= {?DateFrom} then
          case when sto < {?DateTo} then sto - sfrom else {?DateTo} - sfrom  end
end as sip,
sifsto,s_sto,ksort, id_plovila, ime_plovila, dolzina
from (
select * 
from (
select
m_storitve.id_storitve,
kat.opis as lc,
case when m_storitve.storitev = 'ANU' then m_nnstomar.gb || ' ' || timekat.interni_opis
     when m_storitve.storitev = 'ANCH' then m_nnstomar.gb || ' ' || timekat.interni_opis
     else m_nnstomar.gb
end as serv,
m_storitve.datum_od as sfrom, 
CASE 
--WHEN m_storitve.datum_od=m_storitve.datum_do then m_storitve.datum_od  +1 
     WHEN (m_storitve.datum_do  IS NULL or m_storitve.datum_od=m_storitve.datum_do) THEN
          CASE WHEN m_storitve.storitev = 'ANU' THEN
               CASE WHEN m_storitve.timekat='1' THEN m_storitve.datum_od+365
                    ELSE m_storitve.datum_od+(30*m_storitve.kolicina)
               END
               WHEN m_storitve.storitev IN ('TRA','ELE','VO','UTIL1','UTIL2') THEN m_storitve.datum_od  +1
               WHEN m_storitve.storitev IN ('MON','ANCH','SWIN','POLM')
               THEN m_storitve.datum_od+(30*m_storitve.kolicina)
               when m_storitve.storitev in ('BAR','POL','KBRO','KCAM') then m_storitve.datum_od+365
               WHEN m_storitve.storitev = 'WEEK' THEN m_storitve.datum_od+(7*m_storitve.kolicina)
          ELSE m_storitve.datum_od
          END
     ELSE m_storitve.datum_do
END AS sto,
case when m_storitve.datum_do = m_storitve.datum_od then m_storitve.datum_od + 1
     when m_storitve.datum_do = null then m_storitve.datum_od + 1
     else m_storitve.datum_do
end as sto1, 
case when m_storitve.n_racuna is null 
    then round((m_storitve.znesek - m_storitve.znesek*nvl(m_storitve.popust,0)/100)* (100+nvl(m_storitve.davek,0))/100,2)
     else racun_data.znesek
end as znes, 
{?DateFrom} as p1,
{?DateTo} as p2,
{?DateTo} - {?DateFrom} as pd,
case when (m_storitve.storitev = 'ANU' or m_storitve.storitev = 'ANCH') then 
     m_nnstomar.service_cost||m_storitve.storitev||timekat.interni_opis
     else m_storitve.storitev
end as sifsto,
m_storitve.storitev as s_sto,
kat.sort as ksort, plovila.id as id_plovila, plovila.ime as ime_plovila, dolzina
from m_storitve
left outer join racun_data on (m_storitve.id_storitve=racun_data.id_storitve and m_storitve.n_racuna=racun_data.n_racuna)
left outer join m_nnstomar on (m_storitve.storitev=m_nnstomar.sifra)
left outer join m_nnkateg kat on (m_nnstomar.kat=kat.sifra_sklopa and m_storitve.kat=kat.sifra)
left outer join m_nnkateg timekat on (m_nnstomar.timekat=timekat.sifra_sklopa and m_storitve.timekat=timekat.sifra)
left outer join plovila on (m_storitve.id_plovila = plovila.id)
where (m_storitve.n_racuna <> 'STORNO' and m_storitve.n_racuna is not null)
and m_storitve.vrsta in ('PO','ST')
)
)
where sfrom  < {?DateTo} and sto > {?DateFrom}
)
order by 2,ksort,3
;

update report_sql set num7 =  Substr( str1,1,(INSTR(STR1, '-'))-1), num6=0, str5=' ' 
where num7 is null and computer = {?Computer};
